package cn.gintone.dto;

public class DeviceLogInfo {
    private Long timesta;
    private String timestaStr;
    private String roleId;
    private String roleName;
    private String userId; // 用户id
    private String username; // 用户名
    private String deviceId; // 设备id
    private String deviceName; // 设备名称
    private String deviceTypeBs; // 设备类型id
    private String deviceTypeName; // 设备类型名称
    private String deviceSn; // 设备sn
    private String accessed; // 访问时间
    private String type; // 日志类型(info, warning, error)
    private String clientIp; // 访问端ip
    private String remark; // 备注


    // 查询使用
    private Long beginTime;
    private Long endTime;
    private Integer pageSize;
    private Integer pageNum;

    public Long getTimesta() {
        return timesta;
    }

    public void setTimesta(Long timesta) {
        this.timesta = timesta;
    }

    public String getTimestaStr() {
        return timestaStr;
    }

    public void setTimestaStr(String timestaStr) {
        this.timestaStr = timestaStr;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceTypeBs() {
        return deviceTypeBs;
    }

    public void setDeviceTypeBs(String deviceTypeBs) {
        this.deviceTypeBs = deviceTypeBs;
    }

    public String getDeviceTypeName() {
        return deviceTypeName;
    }

    public void setDeviceTypeName(String deviceTypeName) {
        this.deviceTypeName = deviceTypeName;
    }

    public String getAccessed() {
        return accessed;
    }

    public void setAccessed(String accessed) {
        this.accessed = accessed;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Long beginTime) {
        this.beginTime = beginTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    @Override
    public String toString() {
        return "DeviceLogInfo{" +
                "timesta=" + timesta +
                ", timestaStr='" + timestaStr + '\'' +
                ", roleId='" + roleId + '\'' +
                ", roleName='" + roleName + '\'' +
                ", userId='" + userId + '\'' +
                ", username='" + username + '\'' +
                ", deviceId='" + deviceId + '\'' +
                ", deviceName='" + deviceName + '\'' +
                ", deviceTypeBs='" + deviceTypeBs + '\'' +
                ", deviceTypeName='" + deviceTypeName + '\'' +
                ", deviceSn='" + deviceSn + '\'' +
                ", accessed='" + accessed + '\'' +
                ", type='" + type + '\'' +
                ", clientIp='" + clientIp + '\'' +
                ", remark='" + remark + '\'' +
                ", beginTime=" + beginTime +
                ", endTime=" + endTime +
                ", pageSize=" + pageSize +
                ", pageNum=" + pageNum +
                '}';
    }
}
